-- MySQL dump 10.13  Distrib 5.5.31, for debian-linux-gnu (x86_64)
--
-- Host: localhost    Database: fusioninvoice
-- ------------------------------------------------------
-- Server version	5.5.31-0+wheezy1

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `fi_client_custom`
--

DROP TABLE IF EXISTS `fi_client_custom`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fi_client_custom` (
  `client_custom_id` int(11) NOT NULL AUTO_INCREMENT,
  `client_id` int(11) NOT NULL,
  PRIMARY KEY (`client_custom_id`),
  KEY `client_id` (`client_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fi_client_custom`
--

LOCK TABLES `fi_client_custom` WRITE;
/*!40000 ALTER TABLE `fi_client_custom` DISABLE KEYS */;
/*!40000 ALTER TABLE `fi_client_custom` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fi_client_notes`
--

DROP TABLE IF EXISTS `fi_client_notes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fi_client_notes` (
  `client_note_id` int(11) NOT NULL AUTO_INCREMENT,
  `client_id` int(11) NOT NULL,
  `client_note_date` date NOT NULL,
  `client_note` longtext NOT NULL,
  PRIMARY KEY (`client_note_id`),
  KEY `client_id` (`client_id`,`client_note_date`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fi_client_notes`
--

LOCK TABLES `fi_client_notes` WRITE;
/*!40000 ALTER TABLE `fi_client_notes` DISABLE KEYS */;
/*!40000 ALTER TABLE `fi_client_notes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fi_clients`
--

DROP TABLE IF EXISTS `fi_clients`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fi_clients` (
  `client_id` int(11) NOT NULL AUTO_INCREMENT,
  `client_date_created` datetime NOT NULL,
  `client_date_modified` datetime NOT NULL,
  `client_name` varchar(100) NOT NULL,
  `client_address_1` varchar(100) DEFAULT '',
  `client_address_2` varchar(100) DEFAULT '',
  `client_city` varchar(45) DEFAULT '',
  `client_state` varchar(35) DEFAULT '',
  `client_zip` varchar(15) DEFAULT '',
  `client_country` varchar(35) DEFAULT '',
  `client_phone` varchar(20) DEFAULT '',
  `client_fax` varchar(20) DEFAULT '',
  `client_mobile` varchar(20) DEFAULT '',
  `client_email` varchar(100) DEFAULT '',
  `client_web` varchar(100) DEFAULT '',
  `client_active` int(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`client_id`),
  KEY `client_active` (`client_active`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fi_clients`
--

LOCK TABLES `fi_clients` WRITE;
/*!40000 ALTER TABLE `fi_clients` DISABLE KEYS */;
/*!40000 ALTER TABLE `fi_clients` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fi_custom_fields`
--

DROP TABLE IF EXISTS `fi_custom_fields`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fi_custom_fields` (
  `custom_field_id` int(11) NOT NULL AUTO_INCREMENT,
  `custom_field_table` varchar(35) NOT NULL,
  `custom_field_label` varchar(64) NOT NULL,
  `custom_field_column` varchar(64) NOT NULL,
  PRIMARY KEY (`custom_field_id`),
  KEY `custom_field_table` (`custom_field_table`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fi_custom_fields`
--

LOCK TABLES `fi_custom_fields` WRITE;
/*!40000 ALTER TABLE `fi_custom_fields` DISABLE KEYS */;
/*!40000 ALTER TABLE `fi_custom_fields` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fi_email_templates`
--

DROP TABLE IF EXISTS `fi_email_templates`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fi_email_templates` (
  `email_template_id` int(11) NOT NULL AUTO_INCREMENT,
  `email_template_title` varchar(255) NOT NULL,
  `email_template_body` longtext NOT NULL,
  PRIMARY KEY (`email_template_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fi_email_templates`
--

LOCK TABLES `fi_email_templates` WRITE;
/*!40000 ALTER TABLE `fi_email_templates` DISABLE KEYS */;
/*!40000 ALTER TABLE `fi_email_templates` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fi_import_details`
--

DROP TABLE IF EXISTS `fi_import_details`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fi_import_details` (
  `import_detail_id` int(11) NOT NULL AUTO_INCREMENT,
  `import_id` int(11) NOT NULL,
  `import_lang_key` varchar(35) NOT NULL,
  `import_table_name` varchar(35) NOT NULL,
  `import_record_id` int(11) NOT NULL,
  PRIMARY KEY (`import_detail_id`),
  KEY `import_id` (`import_id`,`import_record_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fi_import_details`
--

LOCK TABLES `fi_import_details` WRITE;
/*!40000 ALTER TABLE `fi_import_details` DISABLE KEYS */;
/*!40000 ALTER TABLE `fi_import_details` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fi_imports`
--

DROP TABLE IF EXISTS `fi_imports`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fi_imports` (
  `import_id` int(11) NOT NULL AUTO_INCREMENT,
  `import_date` datetime NOT NULL,
  PRIMARY KEY (`import_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fi_imports`
--

LOCK TABLES `fi_imports` WRITE;
/*!40000 ALTER TABLE `fi_imports` DISABLE KEYS */;
/*!40000 ALTER TABLE `fi_imports` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fi_invoice_amounts`
--

DROP TABLE IF EXISTS `fi_invoice_amounts`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fi_invoice_amounts` (
  `invoice_amount_id` int(11) NOT NULL AUTO_INCREMENT,
  `invoice_id` int(11) NOT NULL,
  `invoice_item_subtotal` decimal(10,2) DEFAULT '0.00',
  `invoice_item_tax_total` decimal(10,2) DEFAULT '0.00',
  `invoice_tax_total` decimal(10,2) DEFAULT '0.00',
  `invoice_total` decimal(10,2) DEFAULT '0.00',
  `invoice_paid` decimal(10,2) DEFAULT '0.00',
  `invoice_balance` decimal(10,2) DEFAULT '0.00',
  PRIMARY KEY (`invoice_amount_id`),
  KEY `invoice_id` (`invoice_id`),
  KEY `invoice_paid` (`invoice_paid`,`invoice_balance`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fi_invoice_amounts`
--

LOCK TABLES `fi_invoice_amounts` WRITE;
/*!40000 ALTER TABLE `fi_invoice_amounts` DISABLE KEYS */;
/*!40000 ALTER TABLE `fi_invoice_amounts` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fi_invoice_custom`
--

DROP TABLE IF EXISTS `fi_invoice_custom`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fi_invoice_custom` (
  `invoice_custom_id` int(11) NOT NULL AUTO_INCREMENT,
  `invoice_id` int(11) NOT NULL,
  PRIMARY KEY (`invoice_custom_id`),
  KEY `invoice_id` (`invoice_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fi_invoice_custom`
--

LOCK TABLES `fi_invoice_custom` WRITE;
/*!40000 ALTER TABLE `fi_invoice_custom` DISABLE KEYS */;
/*!40000 ALTER TABLE `fi_invoice_custom` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fi_invoice_groups`
--

DROP TABLE IF EXISTS `fi_invoice_groups`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fi_invoice_groups` (
  `invoice_group_id` int(11) NOT NULL AUTO_INCREMENT,
  `invoice_group_name` varchar(50) NOT NULL DEFAULT '',
  `invoice_group_prefix` varchar(10) NOT NULL DEFAULT '',
  `invoice_group_next_id` int(11) NOT NULL,
  `invoice_group_left_pad` int(2) NOT NULL DEFAULT '0',
  `invoice_group_prefix_year` int(1) NOT NULL DEFAULT '0',
  `invoice_group_prefix_month` int(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`invoice_group_id`),
  KEY `invoice_group_next_id` (`invoice_group_next_id`),
  KEY `invoice_group_left_pad` (`invoice_group_left_pad`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fi_invoice_groups`
--

LOCK TABLES `fi_invoice_groups` WRITE;
/*!40000 ALTER TABLE `fi_invoice_groups` DISABLE KEYS */;
INSERT INTO `fi_invoice_groups` VALUES (1,'Invoice Default','',1,0,0,0),(2,'Quote Default','QUO',1,0,0,0);
/*!40000 ALTER TABLE `fi_invoice_groups` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fi_invoice_item_amounts`
--

DROP TABLE IF EXISTS `fi_invoice_item_amounts`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fi_invoice_item_amounts` (
  `item_amount_id` int(11) NOT NULL AUTO_INCREMENT,
  `item_id` int(11) NOT NULL,
  `item_subtotal` decimal(10,2) NOT NULL,
  `item_tax_total` decimal(10,2) NOT NULL,
  `item_total` decimal(10,2) NOT NULL,
  PRIMARY KEY (`item_amount_id`),
  KEY `item_id` (`item_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fi_invoice_item_amounts`
--

LOCK TABLES `fi_invoice_item_amounts` WRITE;
/*!40000 ALTER TABLE `fi_invoice_item_amounts` DISABLE KEYS */;
/*!40000 ALTER TABLE `fi_invoice_item_amounts` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fi_invoice_items`
--

DROP TABLE IF EXISTS `fi_invoice_items`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fi_invoice_items` (
  `item_id` int(11) NOT NULL AUTO_INCREMENT,
  `invoice_id` int(11) NOT NULL,
  `item_tax_rate_id` int(11) NOT NULL DEFAULT '0',
  `item_date_added` date NOT NULL,
  `item_name` varchar(100) NOT NULL,
  `item_description` longtext NOT NULL,
  `item_quantity` decimal(10,2) NOT NULL,
  `item_price` decimal(10,2) NOT NULL,
  `item_order` int(2) NOT NULL DEFAULT '0',
  PRIMARY KEY (`item_id`),
  KEY `invoice_id` (`invoice_id`,`item_tax_rate_id`,`item_date_added`,`item_order`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fi_invoice_items`
--

LOCK TABLES `fi_invoice_items` WRITE;
/*!40000 ALTER TABLE `fi_invoice_items` DISABLE KEYS */;
/*!40000 ALTER TABLE `fi_invoice_items` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fi_invoice_tax_rates`
--

DROP TABLE IF EXISTS `fi_invoice_tax_rates`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fi_invoice_tax_rates` (
  `invoice_tax_rate_id` int(11) NOT NULL AUTO_INCREMENT,
  `invoice_id` int(11) NOT NULL,
  `tax_rate_id` int(11) NOT NULL,
  `include_item_tax` int(1) NOT NULL DEFAULT '0',
  `invoice_tax_rate_amount` decimal(10,2) NOT NULL,
  PRIMARY KEY (`invoice_tax_rate_id`),
  KEY `invoice_id` (`invoice_id`,`tax_rate_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fi_invoice_tax_rates`
--

LOCK TABLES `fi_invoice_tax_rates` WRITE;
/*!40000 ALTER TABLE `fi_invoice_tax_rates` DISABLE KEYS */;
/*!40000 ALTER TABLE `fi_invoice_tax_rates` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fi_invoices`
--

DROP TABLE IF EXISTS `fi_invoices`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fi_invoices` (
  `invoice_id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `client_id` int(11) NOT NULL,
  `invoice_group_id` int(11) NOT NULL,
  `invoice_status_id` tinyint(2) NOT NULL DEFAULT '1',
  `invoice_date_created` date NOT NULL,
  `invoice_date_modified` datetime NOT NULL,
  `invoice_date_due` date NOT NULL,
  `invoice_number` varchar(20) NOT NULL,
  `invoice_terms` longtext NOT NULL,
  `invoice_url_key` char(32) NOT NULL,
  PRIMARY KEY (`invoice_id`),
  UNIQUE KEY `invoice_url_key` (`invoice_url_key`),
  KEY `user_id` (`user_id`,`client_id`,`invoice_group_id`,`invoice_date_created`,`invoice_date_due`,`invoice_number`),
  KEY `invoice_status_id` (`invoice_status_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fi_invoices`
--

LOCK TABLES `fi_invoices` WRITE;
/*!40000 ALTER TABLE `fi_invoices` DISABLE KEYS */;
/*!40000 ALTER TABLE `fi_invoices` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fi_invoices_recurring`
--

DROP TABLE IF EXISTS `fi_invoices_recurring`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fi_invoices_recurring` (
  `invoice_recurring_id` int(11) NOT NULL AUTO_INCREMENT,
  `invoice_id` int(11) NOT NULL,
  `recur_start_date` date NOT NULL,
  `recur_end_date` date NOT NULL,
  `recur_frequency` char(2) NOT NULL,
  `recur_next_date` date NOT NULL,
  PRIMARY KEY (`invoice_recurring_id`),
  KEY `invoice_id` (`invoice_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fi_invoices_recurring`
--

LOCK TABLES `fi_invoices_recurring` WRITE;
/*!40000 ALTER TABLE `fi_invoices_recurring` DISABLE KEYS */;
/*!40000 ALTER TABLE `fi_invoices_recurring` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fi_item_lookups`
--

DROP TABLE IF EXISTS `fi_item_lookups`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fi_item_lookups` (
  `item_lookup_id` int(11) NOT NULL AUTO_INCREMENT,
  `item_name` varchar(100) NOT NULL DEFAULT '',
  `item_description` longtext NOT NULL,
  `item_price` decimal(10,2) NOT NULL,
  PRIMARY KEY (`item_lookup_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fi_item_lookups`
--

LOCK TABLES `fi_item_lookups` WRITE;
/*!40000 ALTER TABLE `fi_item_lookups` DISABLE KEYS */;
/*!40000 ALTER TABLE `fi_item_lookups` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fi_merchant_responses`
--

DROP TABLE IF EXISTS `fi_merchant_responses`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fi_merchant_responses` (
  `merchant_response_id` int(11) NOT NULL AUTO_INCREMENT,
  `invoice_id` int(11) NOT NULL,
  `merchant_response_date` date NOT NULL,
  `merchant_response_driver` varchar(35) NOT NULL,
  `merchant_response` varchar(255) NOT NULL,
  `merchant_response_reference` varchar(255) NOT NULL,
  PRIMARY KEY (`merchant_response_id`),
  KEY `merchant_response_date` (`merchant_response_date`),
  KEY `invoice_id` (`invoice_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fi_merchant_responses`
--

LOCK TABLES `fi_merchant_responses` WRITE;
/*!40000 ALTER TABLE `fi_merchant_responses` DISABLE KEYS */;
/*!40000 ALTER TABLE `fi_merchant_responses` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fi_payment_custom`
--

DROP TABLE IF EXISTS `fi_payment_custom`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fi_payment_custom` (
  `payment_custom_id` int(11) NOT NULL AUTO_INCREMENT,
  `payment_id` int(11) NOT NULL,
  PRIMARY KEY (`payment_custom_id`),
  KEY `payment_id` (`payment_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fi_payment_custom`
--

LOCK TABLES `fi_payment_custom` WRITE;
/*!40000 ALTER TABLE `fi_payment_custom` DISABLE KEYS */;
/*!40000 ALTER TABLE `fi_payment_custom` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fi_payment_methods`
--

DROP TABLE IF EXISTS `fi_payment_methods`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fi_payment_methods` (
  `payment_method_id` int(11) NOT NULL AUTO_INCREMENT,
  `payment_method_name` varchar(35) NOT NULL,
  PRIMARY KEY (`payment_method_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fi_payment_methods`
--

LOCK TABLES `fi_payment_methods` WRITE;
/*!40000 ALTER TABLE `fi_payment_methods` DISABLE KEYS */;
/*!40000 ALTER TABLE `fi_payment_methods` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fi_payments`
--

DROP TABLE IF EXISTS `fi_payments`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fi_payments` (
  `payment_id` int(11) NOT NULL AUTO_INCREMENT,
  `invoice_id` int(11) NOT NULL,
  `payment_method_id` int(11) NOT NULL DEFAULT '0',
  `payment_date` date NOT NULL,
  `payment_amount` decimal(10,2) NOT NULL,
  `payment_note` longtext NOT NULL,
  PRIMARY KEY (`payment_id`),
  KEY `invoice_id` (`invoice_id`),
  KEY `payment_method_id` (`payment_method_id`),
  KEY `payment_amount` (`payment_amount`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fi_payments`
--

LOCK TABLES `fi_payments` WRITE;
/*!40000 ALTER TABLE `fi_payments` DISABLE KEYS */;
/*!40000 ALTER TABLE `fi_payments` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fi_quote_amounts`
--

DROP TABLE IF EXISTS `fi_quote_amounts`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fi_quote_amounts` (
  `quote_amount_id` int(11) NOT NULL AUTO_INCREMENT,
  `quote_id` int(11) NOT NULL,
  `quote_item_subtotal` decimal(10,2) NOT NULL DEFAULT '0.00',
  `quote_item_tax_total` decimal(10,2) NOT NULL DEFAULT '0.00',
  `quote_tax_total` decimal(10,2) NOT NULL DEFAULT '0.00',
  `quote_total` decimal(10,2) NOT NULL DEFAULT '0.00',
  PRIMARY KEY (`quote_amount_id`),
  KEY `quote_id` (`quote_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fi_quote_amounts`
--

LOCK TABLES `fi_quote_amounts` WRITE;
/*!40000 ALTER TABLE `fi_quote_amounts` DISABLE KEYS */;
/*!40000 ALTER TABLE `fi_quote_amounts` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fi_quote_custom`
--

DROP TABLE IF EXISTS `fi_quote_custom`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fi_quote_custom` (
  `quote_custom_id` int(11) NOT NULL AUTO_INCREMENT,
  `quote_id` int(11) NOT NULL,
  PRIMARY KEY (`quote_custom_id`),
  KEY `quote_id` (`quote_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fi_quote_custom`
--

LOCK TABLES `fi_quote_custom` WRITE;
/*!40000 ALTER TABLE `fi_quote_custom` DISABLE KEYS */;
/*!40000 ALTER TABLE `fi_quote_custom` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fi_quote_item_amounts`
--

DROP TABLE IF EXISTS `fi_quote_item_amounts`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fi_quote_item_amounts` (
  `item_amount_id` int(11) NOT NULL AUTO_INCREMENT,
  `item_id` int(11) NOT NULL,
  `item_subtotal` decimal(10,2) NOT NULL DEFAULT '0.00',
  `item_tax_total` decimal(10,2) NOT NULL,
  `item_total` decimal(10,2) NOT NULL,
  PRIMARY KEY (`item_amount_id`),
  KEY `item_id` (`item_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fi_quote_item_amounts`
--

LOCK TABLES `fi_quote_item_amounts` WRITE;
/*!40000 ALTER TABLE `fi_quote_item_amounts` DISABLE KEYS */;
/*!40000 ALTER TABLE `fi_quote_item_amounts` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fi_quote_items`
--

DROP TABLE IF EXISTS `fi_quote_items`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fi_quote_items` (
  `item_id` int(11) NOT NULL AUTO_INCREMENT,
  `quote_id` int(11) NOT NULL,
  `item_tax_rate_id` int(11) NOT NULL,
  `item_date_added` date NOT NULL,
  `item_name` varchar(100) NOT NULL,
  `item_description` longtext NOT NULL,
  `item_quantity` decimal(10,2) NOT NULL,
  `item_price` decimal(10,2) NOT NULL,
  `item_order` int(2) NOT NULL DEFAULT '0',
  PRIMARY KEY (`item_id`),
  KEY `quote_id` (`quote_id`,`item_date_added`,`item_order`),
  KEY `item_tax_rate_id` (`item_tax_rate_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fi_quote_items`
--

LOCK TABLES `fi_quote_items` WRITE;
/*!40000 ALTER TABLE `fi_quote_items` DISABLE KEYS */;
/*!40000 ALTER TABLE `fi_quote_items` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fi_quote_tax_rates`
--

DROP TABLE IF EXISTS `fi_quote_tax_rates`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fi_quote_tax_rates` (
  `quote_tax_rate_id` int(11) NOT NULL AUTO_INCREMENT,
  `quote_id` int(11) NOT NULL,
  `tax_rate_id` int(11) NOT NULL,
  `include_item_tax` int(1) NOT NULL DEFAULT '0',
  `quote_tax_rate_amount` decimal(10,2) NOT NULL,
  PRIMARY KEY (`quote_tax_rate_id`),
  KEY `quote_id` (`quote_id`),
  KEY `tax_rate_id` (`tax_rate_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fi_quote_tax_rates`
--

LOCK TABLES `fi_quote_tax_rates` WRITE;
/*!40000 ALTER TABLE `fi_quote_tax_rates` DISABLE KEYS */;
/*!40000 ALTER TABLE `fi_quote_tax_rates` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fi_quotes`
--

DROP TABLE IF EXISTS `fi_quotes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fi_quotes` (
  `quote_id` int(11) NOT NULL AUTO_INCREMENT,
  `invoice_id` int(11) NOT NULL DEFAULT '0',
  `user_id` int(11) NOT NULL,
  `client_id` int(11) NOT NULL,
  `invoice_group_id` int(11) NOT NULL,
  `quote_status_id` tinyint(2) NOT NULL DEFAULT '1',
  `quote_date_created` date NOT NULL,
  `quote_date_modified` datetime NOT NULL,
  `quote_date_expires` date NOT NULL,
  `quote_number` varchar(20) NOT NULL,
  `quote_url_key` char(32) NOT NULL,
  PRIMARY KEY (`quote_id`),
  KEY `user_id` (`user_id`,`client_id`,`invoice_group_id`,`quote_date_created`,`quote_date_expires`,`quote_number`),
  KEY `invoice_id` (`invoice_id`),
  KEY `quote_status_id` (`quote_status_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fi_quotes`
--

LOCK TABLES `fi_quotes` WRITE;
/*!40000 ALTER TABLE `fi_quotes` DISABLE KEYS */;
/*!40000 ALTER TABLE `fi_quotes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fi_settings`
--

DROP TABLE IF EXISTS `fi_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fi_settings` (
  `setting_id` int(11) NOT NULL AUTO_INCREMENT,
  `setting_key` varchar(50) NOT NULL,
  `setting_value` longtext NOT NULL,
  PRIMARY KEY (`setting_id`),
  KEY `setting_key` (`setting_key`)
) ENGINE=MyISAM AUTO_INCREMENT=43 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fi_settings`
--

LOCK TABLES `fi_settings` WRITE;
/*!40000 ALTER TABLE `fi_settings` DISABLE KEYS */;
INSERT INTO `fi_settings` VALUES (1,'default_language','english'),(2,'date_format','m/d/Y'),(3,'currency_symbol','CHF'),(4,'currency_symbol_placement','before'),(5,'invoices_due_after','30'),(6,'quotes_expire_after','15'),(7,'default_invoice_group','1'),(8,'default_quote_group','2'),(9,'thousands_separator',','),(10,'decimal_point','.'),(11,'cron_key','5nm1BMlWXw810L5z'),(12,'tax_rate_decimal_places','2'),(13,'pdf_invoice_template','default'),(14,'pdf_invoice_template_paid','default'),(15,'pdf_invoice_template_overdue','default'),(16,'pdf_quote_template','default'),(17,'public_invoice_template','default'),(18,'public_quote_template','default'),(19,'email_invoice_template',''),(20,'email_invoice_template_paid',''),(21,'email_invoice_template_overdue',''),(22,'default_invoice_terms',''),(23,'automatic_email_on_recur','0'),(24,'mark_invoices_sent_pdf','0'),(25,'email_quote_template',''),(26,'mark_quotes_sent_pdf','0'),(27,'default_invoice_tax_rate',''),(28,'default_include_item_tax',''),(29,'default_item_tax_rate',''),(30,'email_send_method',''),(31,'smtp_server_address',''),(32,'smtp_authentication','0'),(33,'smtp_username',''),(34,'smtp_port',''),(35,'smtp_security',''),(36,'merchant_enabled','0'),(37,'merchant_driver',''),(38,'merchant_test_mode','0'),(39,'merchant_username',''),(40,'merchant_signature',''),(41,'merchant_currency_code',''),(42,'online_payment_method','');
/*!40000 ALTER TABLE `fi_settings` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fi_tax_rates`
--

DROP TABLE IF EXISTS `fi_tax_rates`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fi_tax_rates` (
  `tax_rate_id` int(11) NOT NULL AUTO_INCREMENT,
  `tax_rate_name` varchar(25) NOT NULL,
  `tax_rate_percent` decimal(5,2) NOT NULL,
  PRIMARY KEY (`tax_rate_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fi_tax_rates`
--

LOCK TABLES `fi_tax_rates` WRITE;
/*!40000 ALTER TABLE `fi_tax_rates` DISABLE KEYS */;
/*!40000 ALTER TABLE `fi_tax_rates` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fi_user_clients`
--

DROP TABLE IF EXISTS `fi_user_clients`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fi_user_clients` (
  `user_client_id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `client_id` int(11) NOT NULL,
  PRIMARY KEY (`user_client_id`),
  KEY `user_id` (`user_id`,`client_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fi_user_clients`
--

LOCK TABLES `fi_user_clients` WRITE;
/*!40000 ALTER TABLE `fi_user_clients` DISABLE KEYS */;
/*!40000 ALTER TABLE `fi_user_clients` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fi_user_custom`
--

DROP TABLE IF EXISTS `fi_user_custom`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fi_user_custom` (
  `user_custom_id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  PRIMARY KEY (`user_custom_id`),
  KEY `user_id` (`user_id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fi_user_custom`
--

LOCK TABLES `fi_user_custom` WRITE;
/*!40000 ALTER TABLE `fi_user_custom` DISABLE KEYS */;
INSERT INTO `fi_user_custom` VALUES (1,1);
/*!40000 ALTER TABLE `fi_user_custom` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fi_users`
--

DROP TABLE IF EXISTS `fi_users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fi_users` (
  `user_id` int(11) NOT NULL AUTO_INCREMENT,
  `user_type` int(1) NOT NULL DEFAULT '0',
  `user_date_created` datetime NOT NULL,
  `user_date_modified` datetime NOT NULL,
  `user_name` varchar(100) DEFAULT '',
  `user_company` varchar(100) DEFAULT '',
  `user_address_1` varchar(100) DEFAULT '',
  `user_address_2` varchar(100) DEFAULT '',
  `user_city` varchar(45) DEFAULT '',
  `user_state` varchar(35) DEFAULT '',
  `user_zip` varchar(15) DEFAULT '',
  `user_country` varchar(35) DEFAULT '',
  `user_phone` varchar(20) DEFAULT '',
  `user_fax` varchar(20) DEFAULT '',
  `user_mobile` varchar(20) DEFAULT '',
  `user_email` varchar(100) NOT NULL,
  `user_password` varchar(60) NOT NULL,
  `user_web` varchar(100) DEFAULT '',
  `user_psalt` char(22) NOT NULL,
  PRIMARY KEY (`user_id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fi_users`
--

LOCK TABLES `fi_users` WRITE;
/*!40000 ALTER TABLE `fi_users` DISABLE KEYS */;
INSERT INTO `fi_users` VALUES (1,1,'2013-09-04 03:23:53','2013-09-04 03:25:11','Sysadmin','','','','','','','','','','','admin@localhost.local','$2a$10$3d74ba307ee746e13ec23OucuyEuSpzFHWheTtYMmuh6nripf5j9e','','3d74ba307ee746e13ec23c');
/*!40000 ALTER TABLE `fi_users` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fi_versions`
--

DROP TABLE IF EXISTS `fi_versions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fi_versions` (
  `version_id` int(11) NOT NULL AUTO_INCREMENT,
  `version_date_applied` varchar(14) NOT NULL,
  `version_file` varchar(45) NOT NULL,
  `version_sql_errors` int(2) NOT NULL,
  PRIMARY KEY (`version_id`),
  KEY `version_date_applied` (`version_date_applied`)
) ENGINE=MyISAM AUTO_INCREMENT=34 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fi_versions`
--

LOCK TABLES `fi_versions` WRITE;
/*!40000 ALTER TABLE `fi_versions` DISABLE KEYS */;
INSERT INTO `fi_versions` VALUES (1,'1378257796','000_1.0.sql',0),(2,'1378257798','001_1.0.1.sql',0),(3,'1378257798','002_1.0.2.sql',0),(4,'1378257798','003_1.0.3.sql',0),(5,'1378257798','004_1.0.4.sql',0),(6,'1378257798','005_1.0.5.sql',0),(7,'1378257798','006_1.0.6.sql',0),(8,'1378257798','007_1.0.7.sql',0),(9,'1378257798','008_1.0.8.sql',0),(10,'1378257798','009_1.0.9.sql',0),(11,'1378257798','010_1.1.0.sql',0),(12,'1378257798','011_1.1.1.sql',0),(13,'1378257798','012_1.1.2.sql',0),(14,'1378257798','013_1.1.3.sql',0),(15,'1378257798','014_1.1.4.sql',0),(16,'1378257798','015_1.1.5.sql',0),(17,'1378257798','016_1.1.6.sql',0),(18,'1378257798','017_1.1.7.sql',0),(19,'1378257798','018_1.1.8.sql',0),(20,'1378257798','019_1.1.9.sql',0),(21,'1378257798','020_1.2.0.sql',0),(22,'1378257798','021_1.2.1.sql',0),(23,'1378257798','022_1.2.2.sql',0),(24,'1378257798','023_1.2.3.sql',0),(25,'1378257798','024_1.2.4.sql',0),(26,'1378257798','025_1.2.5.sql',0),(27,'1378257798','026_1.2.6.sql',0),(28,'1378257798','027_1.2.7.sql',0),(29,'1378257798','028_1.2.8.sql',0),(30,'1378257798','029_1.2.9.sql',0),(31,'1378257798','030_1.3.0.sql',0),(32,'1378257798','031_1.3.1.sql',0),(33,'1378257798','032_1.3.2.sql',0);
/*!40000 ALTER TABLE `fi_versions` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2013-09-04  3:25:35
